com.ibm.openpages.api.workflow

## Class BulkWorkflowActionOptions

- java.lang.Object
- - com.ibm.openpages.api.AbstractBulkInputModel
  - - com.ibm.openpages.api.workflow.StartProcessesOptions
    - - com.ibm.openpages.api.workflow.BulkWorkflowActionOptions

- All Implemented Interfaces:
    java.io.Serializable

      public class BulkWorkflowActionOptions
      extends StartProcessesOptions

  Represents the options to start workflow actions in bulk, used by `IWorkflowService.startBulkWorkflowAction(BulkWorkflowActionOptions)`
  Since:
    8.2.0.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BulkWorkflowActionOptions()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBulkAction()` Returns the name of the action to be performed in bulk
    `java.lang.String` | `getComment()` If applicable, returns the comment value set for the action
    `void` | `setBulkAction(java.lang.String action)` Assigns the name of the action to be performed in bulk
    `void` | `setComment(java.lang.String comment)` If applicable, assigns the comment value set for the action

    - ### Methods inherited from class com.ibm.openpages.api.workflow.StartProcessesOptions

      `getProcessDefinitionId, getResourceIds, getResultsPerPage, setProcessDefinitionId, setResourceIds, setResultsPerPage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BulkWorkflowActionOptions

          public BulkWorkflowActionOptions()

  - ### Method Detail

    - #### getBulkAction

          public java.lang.String getBulkAction()

      Returns the name of the action to be performed in bulk
      Returns:

    - #### setBulkAction

          public void setBulkAction(java.lang.String action)

      Assigns the name of the action to be performed in bulk
      Parameters:
        `action` -

    - #### getComment

          public java.lang.String getComment()

      If applicable, returns the comment value set for the action
      Returns:

    - #### setComment

          public void setComment(java.lang.String comment)

      If applicable, assigns the comment value set for the action
      Parameters:
        `comment` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.